de.vc.io.rtf.parser

## Class TokenInputUtilities

- java.lang.Object
- - de.vc.io.rtf.parser.TokenInputUtilities

-     public class TokenInputUtilities
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenInputUtilities(TokenInput input)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `readTextBytes(boolean passBraces)` Reads text bytes until the end of current level.
    `java.lang.String` | `readTextOnly(boolean passBraces, java.lang.String encoding)` Reads all text till the end of the current level.
    `void` | `skipCurrentDestination()` Skips the current level.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenInputUtilities

          public TokenInputUtilities(TokenInput input)

  - ### Method Detail

    - #### readTextOnly

          public java.lang.String readTextOnly(boolean passBraces,
                                      java.lang.String encoding)
                                        throws java.io.IOException

      Reads all text till the end of the current level.
      Parameters:
        `passBraces` - Included braces of text.
        `encoding` - String Encoding of text.
      Returns:
        Text.
      Throws:
        `java.io.IOException`

    - #### readTextBytes

          public byte[] readTextBytes(boolean passBraces)
                               throws java.io.IOException

      Reads text bytes until the end of current level.
      Parameters:
        `passBraces` - Pass braces.
      Returns:
        byte[] Text as byte Array.
      Throws:
        `java.io.IOException`

    - #### skipCurrentDestination

          public void skipCurrentDestination()
                                      throws java.io.IOException

      Skips the current level.
      Throws:
        `java.io.IOException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.